Vagrant.configure("2") do |config|
  config.vm.box = "peru/ubuntu-18.04-desktop-amd64"

  # we want access to the gui desktop
  config.vm.provider "virtualbox" do |v|
    v.gui = true
    v.name = "shc_devel_box"
  end

  # TODO: figure out what these needs will be.
  # config.vm.provider "virtualbox" do |v|
  #  v.memory = 4096
  #  v.cpus = 2
  #end

  # install the development tools
  config.vm.provision "shell", path: "./provision.sh"

end
